test-perror.sh (tmpfiles): Cleanup temporary files on success.
authorSimon Josefsson <simon@josefsson.org>
Tue, 23 Sep 2008 08:48:34 +0000 (10:48 +0200)
committerSimon Josefsson <simon@josefsson.org>
Tue, 23 Sep 2008 08:48:34 +0000 (10:48 +0200)
ChangeLog
tests/test-perror.sh

index 41e6aad..a66d9cb 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2008-09-23  Simon Josefsson  <simon@josefsson.org>
+
+       * tests/test-perror.sh (tmpfiles): Cleanup temporary files on
+       success.
+
 2008-09-22  Eric Blake  <ebb9@byu.net>
             Bruno Haible  <bruno@clisp.org>
 
index 3ab20ab..f2c8fdc 100755 (executable)
@@ -23,4 +23,5 @@ sed -e 's/^/foo: /' < t-perror.tmp > t-perror2.tmp
 diff t-perror2.tmp t-perror3.tmp
 test $? = 0 || { rm -fr $tmpfiles; exit 1; }
 
+rm -fr $tmpfiles
 exit 0